<?php 
require_once("../../../conexao.php");
$tabela = 'avaliacoes';

echo <<<HTML
<small>
HTML;

$query = $pdo->query("SELECT * FROM $tabela ORDER BY id desc");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_reg = @count($res);
if($total_reg > 0){
echo <<<HTML
	<table class="table table-hover" id="tabela">
	<thead> 
	<tr> 
	<th>Nota</th>
	<th class="esc">Comentário</th> 	
	<th class="esc">Curso</th> 	
	<th class="esc">Aluno</th> 	
	<th class="esc">Data</th> 	
	<th>Ações</th>
	</tr> 
	</thead> 
	<tbody>
HTML;

for($i=0; $i < $total_reg; $i++){
	foreach ($res[$i] as $key => $value){}
	$id = $res[$i]['id'];
	$nota = $res[$i]['nota'];
	$comentario = $res[$i]['comentario'];		
	$aluno = $res[$i]['aluno'];	
	$curso = $res[$i]['curso'];	
	$data = $res[$i]['data'];	

	$dataF = implode('/', array_reverse(@explode('-', $data)));

	$query2 = $pdo->query("SELECT * FROM alunos where id = '$aluno'");
	$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
	if(@count($res2) > 0){
		$nome_aluno = $res2[0]['nome'];		
	}else{
		$nome_aluno = "";
	}

	$query2 = $pdo->query("SELECT * FROM cursos where id = '$curso'");
	$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
	if(@count($res2) > 0){
		$nome_curso = $res2[0]['nome'];		
	}else{
		$nome_curso = "";
	}


	
echo <<<HTML
<tr> 
		<td>{$nota}</td> 		
		<td class="esc">{$comentario}</td>	
		<td class="esc">{$nome_curso}</td>	
		<td class="esc">{$nome_aluno}</td>	
		<td class="esc">{$dataF}</td>		
				
		<td>
		<big><a href="#" onclick="editar('{$id}', '{$comentario}')" title="Editar Dados"><i class="fa fa-edit text-primary"></i></a></big>

		<li class="dropdown head-dpdn2" style="display: inline-block;">
		<a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><big><i class="fa fa-trash-o text-danger"></i></big></a>

		<ul class="dropdown-menu" style="margin-left:-230px;">
		<li>
		<div class="notification_desc2">
		<p>Confirmar Exclusão? <a href="#" onclick="excluir('{$id}')"><span class="text-danger">Sim</span></a></p>
		</div>
		</li>										
		</ul>
		</li>



		

		</td>
</tr>
HTML;

}

echo <<<HTML
</tbody>
<small><div align="center" id="mensagem-excluir"></div></small>
</table>	
HTML;

}else{
	echo 'Não possui nenhum registro cadastrado!';
}
echo <<<HTML
</small>
HTML;


?>


<script type="text/javascript">

	$(document).ready( function () {
		$('#tabela').DataTable({
			"ordering": false,
			"stateSave": true,
		});
		$('#tabela_filter label input').focus();
	} );
	
	function editar(id, comentario){

		$('#id').val(id);
		$('#comentario').val(comentario);
				
		
		$('#tituloModal').text('Editar Registro');
		$('#modalForm').modal('show');
		$('#mensagem').text('');
	}


	

	function limparCampos(){
		$('#id').val('');
		$('#comentario').val('');
		
		
		
	}




</script>

